Subject: [MMUSIC] Comparison of SDP variants between RFC 4566 and RFC 2327

From: [email-masked]
Date: Wed, 28 Feb 2007 16:17:45 +0100

fyi,
I did some analysis in scope of SDP usage at H.248 interfaces:

AVD-3020: Comparison of SDP variants between RFC 4566 and RFC 2327

http://ftp3.itu.int/av-arch/avc-site/2005-2008/0703_She/AVD-3020.zip

-Albrecht

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 28 Feb 2007 13:41:40 -0800

> http://ftp3.itu.int/av-arch/avc-site/2005-2008/0703_She/AVD-3020.zip

Very nice analysis.

One point regarding "k=" -- I don't believe it was ever used except
in closed systems (where both endpoints assumed various SRTP 
parameters).

-d

---

From: Dave Singer <[email-masked]>
Date: Wed, 28 Feb 2007 15:09:50 -0800

If I have one stream which carries optional 'repair' data for another 
stream, and I want to send them on two separate multicast groups, or 
two separate streams to an RTSP client, how would I indicate that 
'this media stream' is the repair data for 'that media stream' in SDP?

I guess this is somewhat like scalable coding, in which I would need 
to say 'this stream' is an enhancement, and builds on 'that stream'.

I have no idea how to write a stream reference in SDP, i.e. how to 
say 'that stream'.  The techniques for scalable coding seem to be 
confined to assigning consecutive port numbers or multicast 
addresses, neither of which seem to apply when RTSP/SDP is used.

Help?
-- 
David Singer
Apple Computer/QuickTime

---

From: Adam Li <[email-masked]>
Date: Wed, 28 Feb 2007 16:10:18 -0800

David,

For forward error correction, I think you can use RFC 4756 (FEC
Semantics)  with RFC 3388 (Media Line Grouping). There might be similar
semantics for scalable coding.

Adam

Dave Singer wrote:
> I have no idea how to write a stream reference in SDP, i.e. how to say
> 'that stream'.  The techniques for scalable coding seem to be confined
> to assigning consecutive port numbers or multicast addresses, neither
> of which seem to apply when RTSP/SDP is used.
>
> Help?

---

From: "Desineni, Harikishan" <[email-masked]>
Date: Wed, 28 Feb 2007 16:00:25 -0800

May be the SDP signaling similar to that defined in RFC 4588 might help
here. A new MIME subtype ('rpr') can be used for repair stream. I copied
the example from RFC 4588 (rtx replaced with rpr)

   v=0
   o=mascha 2980675221 2980675778 IN IP4 host.example.net
   c=IN IP4 192.0.2.0
   a=group:FID 1 2
   a=group:FID 3 4
   m=audio 49170 RTP/AVPF 96
   a=rtpmap:96 AMR/8000
   a=fmtp:96 octet-align=1
   a=rtcp-fb:96 nack
   a=mid:1
   m=audio 49172 RTP/AVPF 97 (repair stream)
   a=rtpmap:97 rpr/8000
   a=fmtp:97 apt=96
   a=mid:2
   m=video 49174 RTP/AVPF 98
   a=rtpmap:98 MP4V-ES/90000
   a=rtcp-fb:98 nack
   a=fmtp:98 profile-level-id=8;config=01010000012000884006682C209\
   0A21F
   a=mid:3
   m=video 49176 RTP/AVPF 99 (repair stream)
   a=rtpmap:99 rpr /90000
   a=fmtp:99 apt=98
   a=mid:4

The repair stream can be sent over the same UDP port used by the actual
stream.

m=video 49174 RTP/AVPF 98 99
a=rtpmap:98 MP4V-ES/90000
a=rtpmap:99 rpr/90000
a=fmtp:99 apt=98

> -----Original Message-----
> From: Dave Singer [mailto:[email-masked]]
> Sent: Wednesday, February 28, 2007 3:10 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [MMUSIC] linking two streams in SDP
>